language: cpp
compiler:
  - gcc
  - clang

# Travis VMs are 64-bit but we compile both for 32 and 64 bit. To enable the
# 32-bit builds to work, we need gcc-multilib.
addons:
  apt:
    packages:
    - gcc-multilib
    - g++-multilib

# Enable container-based builds.
sudo: false

script: mkdir build && cd build && cmake .. && make -j2
